// 分公司特殊组件页面注册
import Vue from 'vue'

export default function () {
  // 收费查询
  Vue.component('charge-query', (resolve) => { require(['./ChargeQuery'], resolve) })
  Vue.component('print-data-rc', (resolve) => { require(['./PrintData'], resolve) })
  Vue.component('print-table-rc', (resolve) => { require(['./PrintTable'], resolve) })
  // 表具档案综合查询
  Vue.component('record-info-query', (resolve) => { require(['./RecordInfoQuery'], resolve) })
  Vue.component('change-meter-query', (resolve) => { require(['./ChangeMeterQuery'], resolve) })
  // 业务查询管理
  Vue.component('business-manage', (resolve) => { require(['./BusinessManage'], resolve) })
  Vue.component('busines-query', (resolve) => { require(['./BusinesQuery'], resolve) })
  // 其他收费查询
  Vue.component('other-charge-query', (resolve) => {
    require(['./OtherChargeQuery'], resolve)
  })
}
